Opened 9 years ago

Closed 9 years ago

#3515 closed defect (invalid)

Crash last svn

Reported by: origin.of AT Owned by: asterix
Priority: highest Milestone:
Component: None Version: hg
Severity: blocker Keywords:
Cc: Blocked By:
Blocking: OS: Unix


With last svn, I've got this:

[manuel@unix ~]$ gajim =============================================================================== PyOpenSSL not found, falling back to Python builtin SSL objects (insecure). =============================================================================== Requires docutils 0.4 for set_classes to be available 760ab0fd-2b90-039f-12ad7224-204741ce is dumped [manuel@unix ~]$

For more information :

Attachments (1) (343 bytes) - added by asterix 9 years ago.

Download all attachments as: .zip

Change History (8)

comment:1 Changed 9 years ago by asterix

I understand nothing of that :/

comment:2 Changed 9 years ago by m_gol

I had similar error, but overcoming it was simple. First, Just install PyOpenSSL from repository. Docutils is part of python-docutils packet, so You should install it, too. That's all.

comment:3 Changed 9 years ago by asterix

the first 2 print are only warnings, that don't cause the crash.

comment:4 Changed 9 years ago by Jonathan Schleifer <js-gajim@…>

Deactivate bug-buddy and use gdb. But I guess it's the same crash I occoured, so try this: cd ~/.gajim vi config -> replace version with cp logs.db logs.db.bk sqlite3 logs.db CREATE TABLE IF NOT EXISTS caps_cache (

node TEXT, ver TEXT, ext TEXT, data BLOB

); D

comment:5 Changed 9 years ago by Jonathan Schleifer <js-gajim@…>

Forgot to mention my pysqlite version: 2.3.2

comment:6 Changed 9 years ago by anonymous

Write such things in code block, please, because otherwise enters are not visible if one watch it via www.

Changed 9 years ago by asterix

comment:7 Changed 9 years ago by asterix

  • Resolution set to invalid
  • Status changed from new to closed

it's a bug in sqlite, see here

upgrade sqlite to fix the problem

to confirm, try the attached small script that should reproduce the bug on your machine.

Note: See TracTickets for help on using tickets.